unit untBoardJBBS;

interface

uses
  untOnlineBoard, IdComponent, untTopic;

type
  TBoardJBBS = class(TOnlineBoard)
  protected
    procedure HttpReceived(Sender: TObject); override;
    procedure HttpComplete(Sender: TObject); override;
  public
    procedure SendTopicList; override;
  end;

implementation

uses
  untTopicJBBS, untBoard;
  
procedure TBoardJBBS.HttpReceived(Sender: TObject);
begin
  inherited HttpReceivedProc('^(.+?)\.cgi,(.*)\((.+)\)$');
end;

procedure TBoardJBBS.HttpComplete(Sender: TObject);
begin
  inherited;
end;

procedure TBoardJBBS.SendTopicList;
begin
  inherited;

  FHttp.OnReceived := HttpReceived;
  FHttp.OnComplete := HttpComplete;
  FHttp.URL := 'http://' + Server + '/' + BoardName + '/subject.txt';
  FHttp.Resume;
end;

end.
