unit untGlobal;
// O[oȃNXBB

interface

uses
  ActiveX,
  untJaneConfig, untFolderAlias, untDolibLogin, untConfig, untTool;

var
  gConfig      : TConfig;
  gFolderAlias : TFolderAlias;
  gJaneConfig  : TJaneConfig;
  gDolibLogin  : TDolibLogin;

type
  TFrameworkErrorType = (etNoError, etAbone, etParse, etPostArticle,
                         etDatFreezed, etSocketError, etBrokenGZip, etBoardState);

  TFrameworkError = procedure(Sender: TObject;
                              const ErrorCode: TFrameworkErrorType;
                              const ErrorString: string) of object;

  TStatusTextChangeEvent = procedure(Sender: TObject;
                                     const StatusText: string) of object;

  TBBSType = (btAuto, bt2ch, btDolib, btKako, btJBBS, btShitaraba,
              btMitinoku, btYahoo, btWinny, btNone);

  function GetBBSType(const Server: string): TBBSType;

implementation

function GetBBSType(const Server: string): TBBSType;
begin
  // BBSType𔻒f
  if Pos('jbbs', Server) > 0 then
  begin
    result := btJBBS;
  end else if Pos('machi.to', Server) > 0 then
  begin
    result := btJBBS;
  end else if Pos('shitaraba.com', Server) > 0 then
  begin
    result := btShitaraba;
  end else if Pos('www.mitinoku.jp', Server) > 0 then
  begin
    result := btMitinoku;
  end else
  begin
    result := bt2ch;
  end;
end;

initialization
  OleInitialize(nil);

  // ݒǂݏo
  gConfig := TConfig.Create(AppPath(FILE_OPTIONINI));
  gConfig.ReadOption();

  // eCX^X̍쐬
  gFolderAlias := TFolderAlias.Create;
  gJaneConfig  := TJaneConfig.Create;
  gDolibLogin  := TDolibLogin.Create;

  if gConfig.AutoLogin then
  begin
    gDolibLogin.Login;
  end;

finalization
  // eCX^X̔p
  gJaneConfig.Free;
  gFolderAlias.Free;
  gDolibLogin.Free;

  // ݒ菑o
  gConfig.WriteOption();
  gConfig.Free;

  OleUninitialize;

end.
